/*********************************************************************                                                                   **
**  Device: A7125                                                   **
**  File:   define.h                                                **
**                                                                  **
**  Description:                                                    **
**  Type define                                                     **
**                                                                  **
**  Copyright (C) 2008 AMICCOM Corp.                                **
**                                                                  **
*********************************************************************/

#ifndef _DEFINE_H_
#define _DEFINE_H_

//*********************************************
#define SPI_PORT PORTB
#define SPI_DIR  DDRB
#define SPI_IN   PINB

#define SCS       0x01
#define SCK       0x02
#define SDIO      0x04
#define GIO1      0x08
#define GIO2      0x10

#define Sint8  signed   char
#define Uint8  unsigned char
#define Uint16 unsigned int
#define Uint32 unsigned long


#define NO                  0
#define YES                 1

#define ON                  1
#define OFF                 0

#define ENABLE              1
#define DISABLE             0

#define MASTER		    1
#define SLAVE		    0

#define ONEWAY		    0
#define TWOWAY		    1


#endif

